コンテンツへスキップ

Train Flux LoRAs For Portraits

統合

モデルID flux-lora-portrait-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-lora-portrait-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $6.00 6,000 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Black Forest Labs トレーニング #lora#personalization

被写体のクロップとチェックポイントからの再開に対応したポートレート向けFLUX LoRAトレーナー

Black Forest Labs · ファイル

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

一貫したスタイルの画像を含むZIPアーカイブのURLを指定します。画像と一致する名前のキャプションテキストファイルも任意で付けられます。キャプションテキストには`[trigger]`を含められます。trigger_wordを指定すると、そのプレースホルダーを値で置き換えます。少なくとも10枚を目安とし、枚数が多いほど推奨されます。

デフォルト 2500

LoRAの学習ステップ数。

詳細設定 trigger_phrase · data_archive_format · resume_from_checkpoint · learning_rate · multiresolution_training · subject_crop · create_masks

既存のキャプション内の`[trigger]`を置き換える、またはキャプションがない場合のキャプションとして使用するトリガーフレーズを指定します(trigger_work)。Noneにするとトリガーワードを無効にします。

アーカイブ形式。省略するとURLから推測します。

デフォルト

学習を再開するためのチェックポイントURL。

デフォルト 9.0e-05

学習時に適用する学習率。

POST /run/flux-lora-portrait-trainer?wait=20 見積もり → $6.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-lora-portrait-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Train Flux LoRAs For Portraitsについて

`images_data_url`の画像zipからポートレート向けLoRAをトレーニングします。少なくとも10枚が推奨されます。`trigger_phrase`、`learning_rate`(1e-6~0.001)、`steps`(デフォルト2500、最大10000)、`subject_crop`、マルチ解像度トレーニング、`resume_from_checkpoint`を設定できます。重みと設定を返します。

パラメータ

名前型 デフォルト許可される値 説明
images_data_url必須
型string
一貫したスタイルの画像を含むZIPアーカイブのURLを指定します。画像と一致する名前のキャプションテキストファイルも任意で付けられます。キャプションテキストには`[trigger]`を含められます。trigger_wordを指定すると、そのプレースホルダーを値で置き換えます。少なくとも10枚を目安とし、枚数が多いほど推奨されます。
trigger_phrase任意
型string | null
既存のキャプション内の`[trigger]`を置き換える、またはキャプションがない場合のキャプションとして使用するトリガーフレーズを指定します(trigger_work)。Noneにするとトリガーワードを無効にします。
learning_rate任意
型number
デフォルト9.0e-05
0.000001 – 0.001
学習時に適用する学習率。
steps任意
型integer
デフォルト2500
1 – 10,000
LoRAの学習ステップ数。
multiresolution_training任意
型boolean
デフォルトtrue
Trueにすると複数解像度での学習を有効にします。
subject_crop任意
型boolean
デフォルトtrue
Trueにすると画像から被写体を切り抜きます。
data_archive_format任意
型string | null
アーカイブ形式。省略するとURLから推測します。
resume_from_checkpoint任意
型string
デフォルト
学習を再開するためのチェックポイントURL。
create_masks任意
型boolean
デフォルトfalse
Trueにすると被写体マスクの作成を有効にします。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-lora-portrait-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 6000,
    "usd": "6.00",
    "charged": 6000,
    "refunded": 0
  },
  "input": {
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "diffusers_lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
diffusers_lora_file
object {url, content_type, file_name, file_size}diffusers形式のトレーニング済みLoRA重みを指すURL。
config_file
object {url, content_type, file_name, file_size}学習設定ファイルのURL。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/flux-lora-portrait-trainer.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt